program pecina;
var N, L, i:integer; f:boolean; H:array [1..1000] of integer;
begin
read(N, L);
f:=true;
for i:=1 to N do
    read(H[i]);
for i:=1 to n do begin
    if (L>=H[i]) and (f=true) then begin
        write(i);
        f:=false;
        end;
    end;
if f=true then write('-1');
end.